Skip to main content
GET
/
v1
/
tenant-usage
/
tiers
List tiers (plans)
curl --request GET \
  --url https://api.devic.ai/v1/tenant-usage/tiers \
  --header 'Authorization: Bearer <token>'
[
  {
    "tierId": "<string>",
    "name": "<string>",
    "description": "<string>",
    "rules": [
      {
        "subtenantId": "<string>",
        "windowEvery": 123,
        "limit": 123,
        "enabled": true
      }
    ],
    "excludedAssistants": [
      "<string>"
    ],
    "excludedAgents": [
      "<string>"
    ],
    "isDefault": true
  }
]

Authorizations

Authorization
string
header
required

Use JWT token for authentication

Response

Tiers

tierId
string
name
string
description
string
rules
object[]
excludedAssistants
string[]

Assistants exempt from this tier's limits (by specialization identifier or _id) — neither counted nor blocked

excludedAgents
string[]

Agents exempt from this tier's limits (by _id)

isDefault
boolean

Applied to tenants without an explicit tierId